Name:           scantailor-advanced
Version:        1.0.16
Release:        1%{?dist}
Summary:        An interactive post-processing tool for scanned pages

Group:          Applications/Text
License:        GPLv3+
URL:            https://github.com/4lex4/scantailor-advanced
Source0:        https://github.com/4lex4/%{name}/archive/v%{version}.tar.gz
Source1:        scantailor.desktop
#Patch0:         scantailor-advanced-1.0.14-qt-5.11.patch

BuildRequires:  cmake >= 3.9
BuildRequires:  boost-devel >= 1.60
BuildRequires:  qt5-devel >= 5.6
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel >= 1
BuildRequires:  libtiff-devel >= 4
BuildRequires:  libXrender-devel
BuildRequires:  desktop-file-utils

%description
ScanTailor is an interactive post-processing tool for scanned pages.
ScanTailor Advanced is the version that merges the features of the
ScanTailor Featured and ScanTailor Enhanced versions, brings new ones and
fixes. It performs operations such as page splitting, deskewing, adding/
removing borders, and others. You give it raw scans, and you get pages
ready to be printed or assembled into a PDF or DJVU file. Scanning,
optical character recognition, and assembling multi-page documents are
out of scope of this project.

%prep
%autosetup

%build
export CXXFLAGS="-std=c++11 $RPM_OPT_FLAGS"
%cmake . -DEXTRA_LIBS=Xrender -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DCMAKE_INSTALL_PREFIX="/usr"
make %{?_smp_mflags}
mv resources/icons/COPYING resources/icons/COPYING-icons

%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps
cp -p resources/appicon.svg \
        ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg

%files
%doc LICENSE resources/icons/COPYING-icons
%{_bindir}/scantailor
%{_datadir}/%{name}/
%{_datadir}/applications/scantailor.desktop
%{_datadir}/icons/hicolor/scalable/apps/ScanTailor.svg
%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg
%{_datadir}/mime/packages/scantailor-project.xml

%changelog
* Wed Nov 14 2018 Wulf C. Krueger <wk@mailstation.de> 1.0.16-1
- Initial release, based upon scantailor.spec
